radf

Program that calculates radial distribution function (RDF) or radial-angles distribution function (RADF).

Usage
mm_radf -i MASK -s NUMBER,NUMBER -c X,Y,Z -at FORMAT -o FILE [ -r NUMBER,NUMBER ] [ -rs NUMBER ] [ -a NUMBER,NUMBER ] [ -as NUMBER ] [ -m ] [ -l FILE ] [ -q ] [ -h ]
Parametrs
-i MASK – mask of trajectory files
-s NUMBER,NUMBER – first and last trajectory steps
-c X,Y,Z – cell size, A
-at FORMAT – numerical atom types between which the function is calculated. Format is "1-2" or "1,2,3-4,5,6" (automatically enable calculation of radial distribution function between centers of mass)
-o FILE – output file
-r NUMBER,NUMBER – radial criteria, A. Default is 2.0 and 15.0
-rs NUMBER – radius change step, A. Default is 0.2
-a NUMBER,NUMBER – angular criteria, deg. Default is 0.0 and 90.0
-as NUMBER – angle change step, deg. This option will enable calculation of radial-angles distribution function
-as – enable matrix output
-l FILE – print log to specified file
-q – do not print messages to STDOUT
-h – show this help and exit

File formats

Output file (*.dat)

- Program name and version are shown in the title. For example, "radf ::: V.1.1.0". Blank line.
- The configuration block "CONFIGURATION ... END". Print log (LOG=1), do not print messages to STDOUT (QUIET=1), matrix output (MATRIX=1), mask of trajectory files (MASK=mask), first (FIRST=1) and last (LAST=1) trajectory steps, sell size (CELL=1.0000,2.0000,3.0000), mode (MODE=0) (0 – radial distribution function, 1 – radial distribution function between centers of mass, 2 – radial-angles distribution function), radial criteria (R_MIN=0.100) (R_MAX=0.100) (R_STEP=0.100), angular criteria for radial-angles distribution function (ANG_MIN=0.10) (ANG_MAX=0.10) (ANG_STEP=0.10), atom types (ATOM=1-2) or (ATOM=1,2,3-4,5,6). Blank line.
- The results block «SUMMARY STATISTIC … ------------------------------------------------». Table layout (2 rows) follows after specifying the block if matrix output disables.
  The table format for radial distribution function (matrix output disables)
  0001.0000 2.0000e-01 000000003 04.000000
  Space, sphere radius (9 characters, 4 decimal part), space, segment volume (10 characters, 4 decimal part), space, number of molecules in this radius (9 characters), space, radial distribution function (9 characters, 6 decimal part).
  The table format for radial distribution function (matrix output enables)
  0001.0000 04.000000
  Space, sphere radius (9 characters, 4 decimal part), space, radial distribution function (9 characters, 6 decimal part).
  The table format for radial-angles distribution function (matrix output disables)
  0001.0000 000005.00 2.0000e-01 000000003 04.000000
  Space, sphere radius (9 characters, 4 decimal part), space, segment angle (9 characters, 2 decimal part), segment volume (10 characters, 4 decimal part), space, number of molecules in this segment (9 characters), space, radial-angles distribution function (9 characters, 6 decimal part).
  The table format for radial-angles distribution function (matrix output enables). Segment angle (9 characters, 2 decimal part) is shown in the title
  0001.0000 04.000000 ...
  Space, sphere radius (9 characters, 4 decimal part), space, radial-angles distribution function (9 characters, 6 decimal part) separated by spaces.
- End of the table

Operation of the application

1. Reading titles of source files, setting values of initial variables.
2. Step by step reading of source files, settings values of variables.
   Calculating of the number of pairs of molecules in various relative configurations.
3. Print the result to the file.
   Radial distribution function calculated by:
   RDF(r) = (1 / norm) * sum(d(r_n-r), n),
   norm(r) = (4*PI*r^2*dr) * ro * N * N_step,
   where d(r_n-r) is the delta function, r is a shpere radius, n is a number of molecule, dr is the radius change step, ro is the number of molecules per volume unit, N is the number of molecules, N_step is a number of trajectory step.
   Radial-angles distribution function calculated by:
   RADF(r, fi) = (1 / norm) * sum(sum(d(r_n-r)*d(fi_n-fi), n), n),
   norm(r, fi) = (4*PI*r^2*sin(fi)*dr*dfi) * ro * N * N_step,
   where d(r_n-r) and d(fi_n-fi) are the delta functions, r is a shpere radius, fi is a segment angle, n is a number of molecule, dr is the radius change step, dfi is the angle change step, ro is the number of molecules per volume unit, N is the number of molecules, N_step is a number of trajectory step.

Working with GUI

1. Go to the tab "RADF". Set the work directory.
2. Set the mask of trajectory files.
3. Set the first and the last trajectory steps.
4. Set the cell size, A.
5. Set the output file.
6. Set needed atoms.
7. Set radial criteria. Set angular criteria if this needed.
8. Set the matrix output, the log file and the graph generate if this needed.
9. Run application.